Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.sggev

scipy.linalg.lapack.sggev(a, b[, compute_vl, compute_vr, lwork, overwrite_a, overwrite_b]) = <fortran function sggev>

  Wrapper for `sggev`.

  Parameters:
    a input rank-2 array(‘f’) with bounds (n,n)
    b input rank-2 array(‘f’) with bounds (n,n)
  Returns:
    alphar rank-1 array(‘f’) with bounds (n)
    alphai rank-1 array(‘f’) with bounds (n)
    beta rank-1 array(‘f’) with bounds (n)
    vl rank-2 array(‘f’) with bounds (ldvl,n)
    vr rank-2 array(‘f’) with bounds (ldvr,n)
    work rank-1 array(‘f’) with bounds (MAX(lwork, 1))
    info int
  Other Parameters:
    compute_vl input int, optional

      Default: 1

    compute_vr input int, optional

      Default: 1

    overwrite_a input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0

    lwork input int, optional

      Default: max(8*n,1)